/*
 * misc util functions
 *
 * Copyright (c) 2002 Jan Wassenberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * Contact info:
 *   Jan.Wassenberg@stud.uni-karlsruhe.de
 *   http://www.stud.uni-karlsruhe.de/~urkt/
 */

#ifndef __UTIL_H__
#define __UTIL_H__


extern int log2(const int n);


static inline int ceil(float f)
{
	int r;

#ifdef x86
	const float _49 = 0.499999f;
	__asm
	{
		fld			[f]
		fadd		[_49]
		fistp		[r]
	}
#else
	r = (int)(f+0.999999f);
#endif

	return r;
}

extern void calc_fps();


#endif /* #ifndef __UTIL_H__ */